miRseq_Preprocess:
  prerequisites: ['has_annotation(entity, "mirnaseq__illuminaga_mirnaseq__bcgsc_ca__Level_3__miR_gene_expression__data")
      || has_annotation(entity, "mirnaseq__illuminahiseq_mirnaseq__bcgsc_ca__Level_3__miR_gene_expression__data")']
  root-entity: Individual_Set
  report-generating: false
  parameters:
  - {expression: mirnaseq__illuminahiseq_mirnaseq__bcgsc_ca__Level_3__miR_gene_expression__data,
    optional: true, name: expfile, mode: Simple_Expression}
  - {expression: individual_set_id, optional: false, name: outputprefix, mode: Simple_Expression}
  - {expression: mirnaseq__illuminaga_mirnaseq__bcgsc_ca__Level_3__miR_gene_expression__data,
    optional: true, name: ga2file, mode: Simple_Expression}
  outputs:
  - {extension: miRseq_raw_counts.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 2671, mode: Simple_Expression}
  - {extension: miRseq_RPKM.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 2673, mode: Simple_Expression}
  - {extension: miRseq_RPKM_tmm_log2.txt, expression: individual_set_id, import-entity-type: Sample,
    outputMode: Attach_File, optional: false, target-annotation-type-id: 2675, mode: Simple_Expression}
  genepattern-lsid: urn:lsid:broadinstitute.org:cancer.genome.analysis:00439:5
